GetTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.template.GetTag,GetTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.template
Class GetTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.template.GetTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.Tag

Deprecated. Use Tiles instead.

public class GetTag
extends javax.servlet.jsp.tagext.TagSupport

This is the tag handler for <template:get>, which gets content from the request scope and either includes the content or prints it, depending upon the value of the content's direct attribute.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:34:00 +0100 (Fri, 22 Aug 2003) $
Author:
  David Geary
See Also:
  Serialized Form

Field Summary
`private boolean` | `flush` Deprecated. Should we flush before including this text?
`private java.lang.String` | `name` Deprecated. The name of the content that this tag includes (or prints).
`private java.lang.String` | `role` Deprecated. The role that the user must be in to retrieve content.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetTag()` Deprecated.

Method Summary
`int` | `doStartTag()` Deprecated. Use Tiles instead.
`boolean` | `getFlush()` Deprecated. Use Tiles instead.
`java.lang.String` | `getName()` Deprecated. Use Tiles instead.
`java.lang.String` | `getRole()` Deprecated. Use Tiles instead.
`void` | `release()` Deprecated. Use Tiles instead.
`private void` | `saveException(java.lang.Throwable exception)` Deprecated. Use Tiles instead.
`void` | `setFlush(boolean flush)` Deprecated. Use Tiles instead.
`void` | `setName(java.lang.String name)` Deprecated. Use Tiles instead.
`void` | `setRole(java.lang.String role)` Deprecated. Use Tiles instead.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flush

    private boolean flush

  Deprecated.
  Should we flush before including this text?

### name

    private java.lang.String name

  Deprecated.
  The name of the content that this tag includes (or prints).

### role

    private java.lang.String role

  Deprecated.
  The role that the user must be in to retrieve content.

Constructor Detail

### GetTag

    public GetTag()

  Deprecated.

Method Detail

### setFlush

    public void setFlush(boolean flush)

  Deprecated. Use Tiles instead.

  Set the flush-before-include property

  Parameters:
    `flush` - The new flush property

### setName

    public void setName(java.lang.String name)

  Deprecated. Use Tiles instead.

  Set the name attribute

  Parameters:
    `name` - The name of the content to get.

### setRole

    public void setRole(java.lang.String role)

  Deprecated. Use Tiles instead.

  Set the role attribute

  Parameters:
    `role` - The role the user must be in to retrieve content.

### getFlush

    public boolean getFlush()

  Deprecated. Use Tiles instead.

  Get the flush-before-include attribute.

### getName

    public java.lang.String getName()

  Deprecated. Use Tiles instead.

  Get the name attribute.

### getRole

    public java.lang.String getRole()

  Deprecated. Use Tiles instead.

  Get the role attribute.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated. Use Tiles instead.

  Print content named by setName() or include it, depending on the content's direct attribute.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Deprecated. Use Tiles instead.

  Reset member values for reuse. This method calls super.release(), which invokes TagSupport.release(), which typically does nothing.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### saveException

    private void saveException(java.lang.Throwable exception)

  Deprecated. Use Tiles instead.

  Save the specified exception in request scope if there is not already one present.

  Parameters:
    `exception` - Exception to be conditionally saved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation